*{
    box-sizing: border-box;
}
.animate_box{
    width: 1000px;
    height: 1000px;


}
.animate_rotate{
    animation-name: rotateY;
    animation-duration: 10s;
    animation-iteration-count: infinite;
}


.root {
    width: 500px;
    height: 500px;
    margin: 10px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    transform-style: preserve-3d;



}
.sq{
    width: 75px;
    height: 75px;
    position: absolute;
}
.red{
    background-color: red;
}
.blue{
    background-color: blue;
}

.front_move:first-child{
    animation-name: rotateZ;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-direction: normal;
}
.back_move:last-child{
    animation-name: rotateX;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-direction: normal;
}



@keyframes rotateX {
    0% {
        transform:rotateX(0) translateZ(20px);
    }
    100% {
        transform:rotate(360deg)  translateZ(20px);
    }
}

@keyframes rotateY {
    from {
        transform:rotateY(0);
    }
    to {
        transform:rotateY(360deg);
    }
}

@keyframes rotateZ {
    from {
        transform:rotateZ(360deg);
    }
    to {
        transform:rotateZ(0);
    }
}









/*.animate  {
    height: 100px;
    width: 100px;
    background-color: red;
    animation-name: animation1;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-delay: 1s;
    animation-timing-function: linear;
    animation-direction: normal;
    animation-fill-mode: none;

    position: relative;
    top: 0;
    bottom: 0;
    transition: .5s;
}

@keyframes animation1  {

    from{
        top: 0;
        left: 0;
    }
    25%{
        top: 0;
        right: 0;
        left: 100%;
    }
    50%{
        left: 100%;
        top: 100%;
        bottom: 0;

    }
    75%{
        right: 100%;
        left: 0;
        bottom: 0;
        top: 100%;
    }
    to{
        top: 0;
        left: 0;

    }

}
